<div class="header bg-gradient-teal pb-8 pt-5 pt-md-8">
  <div class="container-fluid breadcrumbs">
    <!-- Breadcrumbs -->
    <nav aria-label="breadcrumb">
      <ol class="breadcrumb">
        <li class="breadcrumb-item active" aria-current="page"> <i class="fas fa-home"></i> Farmácia Popular</li>
        <li class="breadcrumb-item"><a routerLinkActive="active" [routerLink]="['/automation/notification']">Notificação</a></li>
        <li class="breadcrumb-item active" aria-current="page">Pedido de Esclarecimento</li>
        <li class="breadcrumb-item active" aria-current="page">Novo Pedido</li>
      </ol>
    </nav>
  </div>
  <div class="container-fluid">
    <div class="header-body">
      <!-- Card stats -->
      <div class="row">
        <div class="col-lg-12">
        </div>
      </div>
    </div>
  </div>
</div>
<div class="container-fluid mt--7">
  <div class="row">
    <div class="col-xl-12">
      <div class="card bg-secondary shadow">
        <div class="card-header bg-white border-0">
          <div class="row align-items-center">
            <div class="col-8">
              <h3 class="mb-0">Cadastrar ou alterar Solicitação de Esclarecimento</h3>
            </div>
            <div class="col-8 text-right">
              <button class="btn btn-sm btn-info" routerLinkActive="active" [routerLink]="['/automation/notification']">
                  <a style="color: white;" routerLinkActive="active" [routerLink]="['/automation/notification']">Voltar</a>
              </button>
              <button class="btn btn-sm btn-info" routerLinkActive="active" [routerLink]="['/automation/notification/form/null']">
                <a style="color: white;" routerLinkActive="active" [routerLink]="['/automation/notification/form/null']">Novo</a>
              </button>
              <button class="btn btn-sm btn-info" (click)="save()" [disabled]="_validateForm()">Salvar</button>
            </div>
          </div>
        </div>
        <div class="card-body">
          <ngb-alert *ngIf="successMessage" type="success" (close)="successMessage = null">{{ successMessage }}</ngb-alert>
          <div class="modal-body" *ngIf="paragraph">
            <h4>Corpo gerado NUP {{elucidation.nup}} para inserção no SEI</h4>
            <ul>
              <li *ngFor="let line of paragraph; index as i;">
                {{line}}
              </li>
            </ul>
            <div class="col-6 text-right">
              <button class="btn btn-sm btn-default" type="button" ngxClipboard [cbContent]="paragraph">Copiar</button>
            </div>
          </div>
          <form [formGroup]="elucidationFormGroup" (ngSubmit)="save()">
            <!-- <h6 class="heading-small text-muted mb-1">Cadastrar Transação com pendências</h6> -->
            <div class="col">
              <div class="row">
                <div class="col-lg-8">
                  <div class="form-group" *ngIf="csvTransactions && csvTransactions.length > 0 && !elucidation._id">
                      <!-- <hr class="my-4" /> -->
                      <div class="row">
                        <div class="col-lg-12">
                          <!-- <h6 class="heading-small text-muted mb-4">Transações encontradas no arquivo CSV enviado</h6> -->
                        </div>
                      </div>

                      <div class="form-group">
                        <label class="form-control-label" for="filter">Filtre/Pesquise Transações por número, medicamento e/ou data</label>
                        <input id="filter" (input)="clearSelect($event)" type="text" class="form-control form-control-alternative" [(ngModel)]="filterTransactions" [ngModelOptions]="{standalone: true}" placeholder="Filtre/Pesquise Transações por número, medicamento e/ou data">
                      </div>

                      <select class="custom-select" name="csvTransaction" id="csvTransaction" #t (change)="selectTransaction(t.value)" required>
                        <option disabled="disabled">Selecione os Códigos das transações a serem adicionadas a este NUP</option>
                        <option *ngFor="let csvTransaction of csvTransactions | transactionsFilter: filterTransactions" value="{{csvTransactions.indexOf(csvTransaction)}}"> {{csvTransaction[0] +' - '+ csvTransaction[1]}} </option>
                      </select>
                    </div>
                  </div>
                </div>
                  <div class="row">
                <div class="col-lg-8">
                  <div class="form-group">
                    <label class="form-control-label" for="nup">Número Único do Processo (NUP)</label>
                    <input type="text" class="form-control form-control-alternative" formControlName="nup" name="nup" id="nup" placeholder="Número Único do Processo desta Solicitação" required value="{{elucidation.nup}}">
                  </div>
                  <div class="form-group">
                    <label class="form-control-label" for="cnpj">CNPJ vinculado</label>
                    <input type="text" class="form-control form-control-alternative" formControlName="cnpj" name="cnpj" id="cnpj" placeholder="CNPJ da empresa notificada" required value="{{elucidation.cnpj}}" disabled='[[activateField]]'>
                  </div>
                </div>
              </div>
            </div>
          </form>

          <hr class="my-4" />
          <div class="row">
            <div class="col-lg-8">
              <!-- <h6 class="heading-small text-muted mb-4" id="authorization">Cadastrar Transação com pendências</h6> -->
            </div>
          </div>

          <form [formGroup]="authorizationFormGroup">
            <div class="pl-lg-4">
              <div class="row">
                <div class="col-lg-6">
                  <div class="form-group">
                    <label class="form-control-label" for="authorizationCode">Número da Autorização</label>
                    <input type="text" disabled='[[activateField]]' class="form-control form-control-alternative" formControlName="authorizationCode" name="authorizationCode" id="authorizationCode" placeholder="Informe uma Autorização já importada ou crie uma nova!" required>
                  </div>
                </div>
                <div class="col-lg-6">
                  <div class="form-group">
                    <label class="form-control-label" for="authorizedAt">Data da Autorização</label>
                    <input type="date" disabled='[[activateField]]' class="form-control form-control-alternative" formControlName="authorizedAt" name="authorizedAt" id="authorizedAt" placeholder="Data da Autorização" required>
                  </div>
                </div>
              </div>
              <h4>Ocorrências para a Autorização selecionada</h4>
              <div class="row">
                <div class="col-lg-5">
                  <label for="occurrences">Código da ocorrência</label>
                  <select [(ngModel)]="selectedOccurrence" (change)="updateRemedyField()" formControlName="occurrences" class="custom-select" name="occurrences" id="occurrences" required [disabled]="(!authorizationFormGroup.value.authorizationCode)">
                    <option selected="selected">Selecione os Códigos dos tipos de Ocorrências...</option>
                    <option *ngFor="let occurrenceType of occurrencesTypes" [value]="occurrenceType.id">{{occurrenceType.id}} - {{occurrenceType.name}} </option>
                  </select>
                </div>
                <div class="col-lg-5">
                  <div class="form-group" *ngIf="selectedOccurrence != undefined && (selectedOccurrence == 15 || selectedOccurrence == 9)">
                    <label class="form-control-label" for="remedyName">Nome da Medicação e/ou observação</label>
                    <input type="text" class="form-control form-control-alternative" formControlName="remedyName" name="remedyName" id="remedyName"required [disabled]="(!authorizationFormGroup.value.authorizationCode)">
                  </div>
                </div>
                <div class="col-lg-2">
                  <button style="margin-top: 40px;width: 100%;" class="btn btn-sm btn-warning" (click)="add()" [disabled]="(!authorizationFormGroup.value.occurrences)">Adicionar</button>
                </div>
              </div>
            </div>
          </form>

          <div *ngIf="occurrences">
            <hr class="my-4"/>
            <h6 class="heading-small text-muted mb-4">Ocorrências Cadastradas</h6>

            <div class="card shadow">
              <div class="table-responsive">
                <!-- Projects table -->
                <table class="table align-items-center table-flush">
                  <thead class="thead-light">
                  <tr>
                    <th scope="col">Cód.</th>
                    <th scope="col">Medicamento/Observação</th>
                    <th scope="col">Ações</th>
                  </tr>
                  </thead>
                  <tbody>
                  <tr *ngFor="let occurrence of occurrences; index as i;">
                    <td>
                      {{occurrence.id}}
                    </td>
                    <td>
                      <span>{{occurrence.remedy}}</span>
                    </td>
                    <td>
                      <button type="button" (click)="removeOccurence(i)" class="btn btn-outline-danger sidebar-icon mr-2"><i class="fas fa-trash"></i></button>
                    </td>
                  </tr>
                  </tbody>
                </table>
              </div>
            </div>
          </div>

          <!--<hr class="my-4"/>
          <h6 class="heading-small text-muted mb-4">Autorizações Cadastradas</h6>-->

          <!--<div class="card shadow">
            <div class="table-responsive">
              &lt;!&ndash; Projects table &ndash;&gt;
              <table class="table align-items-center table-flush">
                <thead class="thead-light">
                <tr>
                  <th scope="col">Cód.</th>
                  <th scope="col">Data</th>
                  <th scope="col">Ocorrências</th>
                  <th scope="col">Ações</th>
                </tr>
                </thead>
                <tbody>
                <tr *ngFor="let authorization of authorizations; index as i;">
                  <td>
                    {{authorization.id}}
                  </td>
                  <td>
                    <span>{{authorization.date | date: 'dd/MM/yyyy'}}</span>
                  </td>
                  <td *ngIf="authorization.occurrences">
                    <span *ngFor="let occ of authorization.occurrences">{{occ.id}},</span>
                  </td>
                  <td>
                    <button type="button" (click)="remove(i)" class="btn btn-outline-danger sidebar-icon mr-2"><i class="fas fa-trash"></i></button>
                    <button type="button" (click)="edit(i)" class="btn btn-outline-primary sidebar-icon mr-2"><i class="fas fa-edit"></i></button>
                  </td>
                </tr>
                </tbody>
              </table>
            </div>
          </div>-->
        </div>
        <div class="card-footer bg-white border-0">
          <div class="row align-items-end">
            <div class="col-12 text-right" style="float:right;">
              <button class="btn btn-sm btn-info" (click)="save()" [disabled]="_validateForm()">Salvar</button>
              <button class="btn btn-sm btn-info" routerLinkActive="active" [routerLink]="['/automation/notification/form/null']">
                <a style="color: white;" routerLinkActive="active" [routerLink]="['/automation/notification/form/null']">Novo</a>
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
